---
#
# Checking that required variables are set
#
- name: "vars | check"
  tags: [ "aws", "alb", "aws:alb", "alb:check", "aws:alb:check" ]
  assert:
    that:
      - owner is defined
      - aws_region is defined
      - account_name is defined
      - environment_type is defined
      - environment_abbr is defined
      - vpc_stack is defined
      - "'stack_outputs' in vpc_stack"
      - tag_prefix is defined
      - aws_alb_params is defined
      - "'albs' in aws_alb_params"
